aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index 4999025..4538d63 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -3,9 +3,14 @@
if [ "$1" = "test" ]; then
branch='test'
location='/var/www/html-test'
+ echo 'deploying to test.jjanzen.ca'
elif [ "$1" = "prod" ]; then
branch='main'
location='/var/www/html'
+ echo 'deploying to jjanzen.ca'
+else
+ echo 'unrecognized mode'
+ exit 1
fi
rm -rf "$HOME/public_html"
@@ -32,3 +37,4 @@ emacs --batch -f package-initialize --script ~/website/publish.el
/bin/cp -r "$HOME/public_html"/* "$location"
chown -R apache:apache "$location"
+chmod -R 775 "$location"